unit RAMalocatorUnit;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.StdCtrls, Vcl.JumpList;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    ListBox1: TListBox;
    ListBox2: TListBox;
    JumpList1: TJumpList;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure ListBox1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1 : TForm1;

implementation


{$R *.dfm}
uses unit1;

procedure TForm1.Button1Click(Sender: TObject);
begin
 dataRAMallocator;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
halt
end;

procedure TForm1.ListBox1Click(Sender: TObject);
begin
ListBox1.AddItem('',ListBox1);
end;

end.
